#!/bin/sh

# Fri Aug  3 11:27:36 EDT 2007, v0.01 sdy

PATH=/usr/new/bin:/usr/bin:/bin

DEFAULT_DATABASE="data.db";
DEFAULT_DATABASE="/www/neurillion/p/33/databases/uniquehits.sq3"

CAT="/bin/cat"
SQLITE3="sqlite3" # rely on path

DATABASE="${2:-$DEFAULT_DATABASE}"

page="http://www.neurillion.com/p/33/html/counter_unique.html"

TABLE="counter_unique_totals"
COLUMNS="rowid,page,hits" # ip and time

SQL="SELECT $COLUMNS FROM $TABLE"

test "z$page" != "z"  && {
  SQL="$SQL WHERE page='$page';"
}

OFS="$IFS"
IFS="|"
set x `$SQLITE3 "$DATABASE" "$SQL"`; shift
IFS="$OFS"
HITS="$3"

$CAT <<EOF
Content-Type:  text/html
Expires: 0
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Pragma: no-cache


$HITS

EOF
